Index: lib/style/skins/kepler/resultset.xsl
===================================================================
--- lib/style/skins/kepler/resultset.xsl	(nonexistent)
+++ lib/style/skins/kepler/resultset.xsl	(revision 2950)
@@ -0,0 +1,209 @@
+<?xml version="1.0"?>
+<!--
+*  '$RCSfile$'
+*      Authors: Matt Jones, CHad Berkley
+*    Copyright: 2000 Regents of the University of California and the
+*               National Center for Ecological Analysis and Synthesis
+*  For Details: http://www.nceas.ucsb.edu/
+*
+*   '$Author$'
+*     '$Date$'
+* '$Revision$'
+*
+* This program is free software; you can redistribute it and/or modify
+* it under the terms of the GNU General Public License as published by
+* the Free Software Foundation; either version 2 of the License, or
+* (at your option) any later version.
+*
+* This program is distributed in the hope that it will be useful,
+* but WITHOUT ANY WARRANTY; without even the implied warranty of
+* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+* GNU General Public License for more details.
+*
+* You should have received a copy of the GNU General Public License
+* along with this program; if not, write to the Free Software
+* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+*
+* This is an XSLT (http://www.w3.org/TR/xslt) stylesheet designed to
+* convert an XML file showing the resultset of a query
+* into an HTML format suitable for rendering with modern web browsers.
+-->
+<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
+
+  <xsl:output method="html"/>
+  <xsl:param name="sessid"/>
+  <xsl:param name="qformat">default</xsl:param>
+  <xsl:param name="enableediting">false</xsl:param>
+  <xsl:template match="/">
+   <html>
+      <head>
+        <link rel="stylesheet" type="text/css" 
+              href="@style-skins-path@/{$qformat}/{$qformat}.css" />
+        <script language="Javascript" type="text/JavaScript"
+                src="@style-skins-path@/{$qformat}/{$qformat}.js" />
+        <script language="Javascript" type="text/JavaScript"
+                src="@style-common-path@/branding.js" />
+        <script language="JavaScript">
+          <![CDATA[
+          function submitform(action,form_ref) {
+              form_ref.action.value=action;
+              form_ref.sessionid.value="]]><xsl:value-of select="$sessid" /><![CDATA[";
+              form_ref.qformat.value="]]><xsl:value-of select="$qformat" /><![CDATA[";
+              form_ref.submit();
+          }
+
+          ]]>
+        </script>
+      </head>
+
+      <body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
+      <script language="JavaScript">
+          insertTemplateOpening();
+          insertSearchBox();
+      </script>
+        <table width="100%" align="center" border="0" cellpadding="5" cellspacing="0">
+           <tr>
+             <td align="left"><br></br><p class="emphasis"><xsl:number value="count(resultset/document)" /> components found</p></td>
+           </tr></table>
+<!-- This tests to see if there are returned documents,
+            if there are not then don't show the query results -->
+
+      <xsl:if test="count(resultset/document) &gt; 0">
+
+         <table width="95%" align="center" border="0" cellpadding="0" cellspacing="0">
+           <tr>
+             <th class="tablehead_lcorner" align="right" valign="top"><img src="@style-skins-path@/default/images/transparent1x1.gif" width="1" height="1" /></th>
+             <th class="tablehead" style="text-align: left">Component Name</th>
+             <!--<th width="15%" class="tablehead" style="text-align: left">Class</th>
+             <th width="15%" class="tablehead" style="text-align: left">Organization</th>
+             <th width="15%" class="tablehead" style="text-align: left">Keywords</th>
+             <xsl:if test="$enableediting = 'true'">
+               <th width="10%" class="tablehead" style="text-align: middle">Actions</th>
+             </xsl:if>
+             <th class="tablehead_rcorner" align="right" valign="top"><img src="@style-skins-path@/default/images/transparent1x1.gif" width="1" height="1" /></th>
+             -->
+           </tr>
+
+         <xsl:for-each select="resultset/document">
+           <xsl:sort select="./param[@name='/entity/@name']"/>
+           <tr valign="top" class="subpanel">
+             <xsl:attribute name="class">
+               <xsl:choose>
+                 <xsl:when test="position() mod 2 = 1">rowodd</xsl:when>
+                 <xsl:when test="position() mod 2 = 0">roweven</xsl:when>
+               </xsl:choose>
+             </xsl:attribute>
+
+             <td width="10">&#160;</td>
+             <td class="text_plain">
+               <form action="@servlet-path@" method="POST">
+                 <xsl:attribute name="name">
+                   <xsl:value-of select="translate(./docid, '()-.', '____')" />
+                 </xsl:attribute>
+
+                 <input type="hidden" name="qformat" />
+                 <input type="hidden" name="sessionid" />
+                 <xsl:if test="$enableediting = 'true'">
+	 	           <input type="hidden" name="enableediting" value="{$enableediting}"/>
+                 </xsl:if>
+                 <input type="hidden" name="action" value="read"/>
+                 <input type="hidden" name="docid">
+                   <xsl:attribute name="value">
+                     <xsl:value-of select="./docid"/>
+                   </xsl:attribute>
+                 </input>
+                 <xsl:for-each select="./relation">
+                   <input type="hidden" name="docid">
+                     <xsl:attribute name="value" >
+                       <xsl:value-of select="./relationdoc" />
+                     </xsl:attribute>
+                   </input>
+                 </xsl:for-each>
+
+                 <a>
+                   <xsl:attribute name="href">javascript:submitform('read',document.<xsl:value-of select="translate(./docid, '()-.', '____')"/>)</xsl:attribute>
+                   <xsl:text>&#187;&#160;</xsl:text>
+                   <xsl:choose>
+                     <xsl:when test="./param[@name='entity/@name']!=''">
+                        <xsl:value-of select="./param[@name='entity/@name']"/>
+                     </xsl:when>
+                   </xsl:choose>
+                 </a><br />
+                 <br/>
+                 <p><pre>ID: <xsl:value-of select="./docid"/></pre></p>
+
+               </form>
+             </td>
+
+             <!--<td class="text_plain">
+               <xsl:for-each select="./param[@name='entity/property[@name=semanticType]']" >
+                 <xsl:value-of select="./param" />
+                 <br/>
+                </xsl:for-each>
+             </td>-->
+             
+             <xsl:if test="$enableediting = 'true'">
+               <td class="text_plain">
+	       <form action="@servlet-path@" method="POST">
+	               <input type="hidden" name="action" value="read"/>
+	 	       <input type="hidden" name="qformat" value="{$qformat}"/>
+				<input type="hidden" name="sessionid"  value="{$sessid}"/>
+                       <input type="hidden" name="docid">
+                       <xsl:attribute name="value">
+                          <xsl:value-of select="./docid"/>
+                       </xsl:attribute>
+                       </input>
+                       <center>
+		       <input type="SUBMIT"  value=" View " name="View">
+ 	               </input>
+	               </center>
+	             </form>
+                 <form action="@cgi-prefix@/register-dataset.cgi" 
+                       method="POST">
+	               <input type="hidden" name="stage" value="modify"/>	
+	 	           <input type="hidden" name="cfg" value="{$qformat}"/>
+					<input type="hidden" name="sessionid"  value="{$sessid}"/>
+                   <input type="hidden" name="docid">
+                     <xsl:attribute name="value">
+                       <xsl:value-of select="./docid"/>
+                     </xsl:attribute>
+                   </input>
+                   <center>
+		             <input type="SUBMIT"  value=" Edit " name="Edit">
+ 	                 </input>
+	               </center>
+	             </form>
+                 <form action="@cgi-prefix@/register-dataset.cgi" 
+                       method="POST">
+	               <input type="hidden" name="stage" value="delete"/>	
+	 	           <input type="hidden" name="cfg" value="{$qformat}"/>
+					<input type="hidden" name="sessionid"  value="{$sessid}"/>
+                   <input type="hidden" name="docid">
+                     <xsl:attribute name="value">
+                       <xsl:value-of select="./docid"/>
+                     </xsl:attribute>
+                   </input>
+                   <center>
+		             <input type="SUBMIT"  value="Delete" name="Delete">
+ 	                 </input>
+	               </center>
+	             </form>
+	           </td>	  
+             </xsl:if>
+             <td width="10">&#160;</td>
+             </tr>
+             <tr class="searchresultsdivider"><td colspan="6">
+             <img src="@style-skins-path@/default/images/transparent1x1.gif" width="1" height="1" /></td></tr>
+
+          </xsl:for-each>
+          </table>
+
+       </xsl:if>
+      <script language="JavaScript">
+          insertTemplateClosing();
+      </script>
+    </body>
+    </html>
+    </xsl:template>
+
+</xsl:stylesheet>

Property changes on: lib/style/skins/kepler/resultset.xsl
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property
Index: lib/style/skins/kepler/kepler.cfg
===================================================================
--- lib/style/skins/kepler/kepler.cfg	(nonexistent)
+++ lib/style/skins/kepler/kepler.cfg	(revision 2950)
@@ -0,0 +1,28 @@
+#
+# General configuration parameters
+#
+metacatUrl = http://@server@@servlet-path@
+username = uid=kepler,o=unaffiliated,dc=ecoinformatics,dc=org
+password = kepler
+ldapUrl = @ldapUrl@
+defaultScope = keplerRepository
+organization = Kepler
+orgabbrev = Kepler
+orgurl = http://www.kepler-project.org/
+responseTemplate = @responseForm@
+entryFormTemplate = @entryForm@
+guideTemplate = @guide@
+confirmDataTemplate = @confirmData@
+deleteDataTemplate = @deleteData@
+spatialRequired = false
+temporalRequired = false
+accesspubid = -//ecoinformatics.org//eml-access-2.0.0beta6//EN
+accesssysid = eml-access.dtd
+datasetpubid = eml://ecoinformatics.org/eml-dataset-2.0.0
+datasetsysid = eml-dataset.dtd
+mailhost = mercury.nceas.ucsb.edu
+sender = kepler@kepler-project.org
+recipient = kepler-users@ecoinformatics.org
+adminname = Chad Berkley
+debug = 0
+

Property changes on: lib/style/skins/kepler/kepler.cfg
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property
Index: lib/style/skins/kepler/kepler.xml
===================================================================
--- lib/style/skins/kepler/kepler.xml	(nonexistent)
+++ lib/style/skins/kepler/kepler.xml	(revision 2950)
@@ -0,0 +1,86 @@
+<?xml version="1.0"?>
+<style-set name="knp">
+<!-- general login & search -->
+  <default-style>@systemidserver@@style-common-path@/ascii-treeview.xsl</default-style>
+
+  <doctype publicid="-//NCEAS//resultset//EN">
+    <target publicid="-//W3C//HTML//EN">@systemidserver@/keplerRepository/style/skins/kepler/resultset.xsl</target>
+  </doctype>
+
+  <doctype publicid="-//NCEAS//login//EN">
+    <target publicid="-//W3C//HTML//EN">@systemidserver@@style-common-path@/login.xsl</target>
+  </doctype>
+  <doctype publicid="-//NCEAS//unauth_login//EN">
+    <target publicid="-//W3C//HTML//EN">@systemidserver@@style-common-path@/login.xsl</target>
+  </doctype>
+
+<!--
+    ARE THESE STILL NEEDED????????????
+
+  <doctype publicid="-//NCEAS//eml-generic//EN">
+    <target publicid="-//W3C//HTML//EN">@systemidserver@@style-common-path@/generic-morpho.xsl</target>
+  </doctype>
+-->
+
+
+<!-- pre-beta6 modules -->
+<!-- NOTE these settings are unchanged from the previous version - only the xsl 
+     filename has changed from "eml-dataset-display.xsl" to "eml-dataset-2.0.0beta4.xsl" -->
+  <doctype publicid="eml://ecoinformatics.org/eml-2.0.1">
+    <target publicid="-//W3C//HTML//EN">@systemidserver@@style-common-path@/eml-2.0.1/eml.xsl</target>
+  </doctype>
+  <doctype publicid="eml://ecoinformatics.org/eml-2.0.0">
+    <target publicid="-//W3C//HTML//EN">@systemidserver@@style-common-path@/eml-2.0.0/eml.xsl</target>
+  </doctype>
+  <doctype publicid="-//NCEAS//eml-dataset//EN">
+    <target publicid="-//W3C//HTML//EN">@systemidserver@@style-common-path@/eml-2.0.0beta4/eml-dataset-2.0.0beta4.xsl</target>
+  </doctype>
+  <doctype publicid="-//NCEAS//eml-dataset-2.0//EN">
+    <target publicid="-//W3C//HTML//EN">@systemidserver@@style-common-path@/eml-2.0.0beta4/eml-dataset-2.0.0beta4.xsl</target>
+  </doctype>
+  <doctype publicid="-//NCEAS//eml-resource//EN">
+    <target publicid="-//W3C//HTML//EN">@systemidserver@@style-common-path@/eml-2.0.0beta4/eml-dataset-2.0.0beta4.xsl</target>
+  </doctype>
+  <doctype publicid="-//ecoinformatics.org//eml-dataset-2.0.0beta4//EN">
+    <target publicid="-//W3C//HTML//EN">@systemidserver@@style-common-path@/eml-2.0.0beta4/eml-dataset-2.0.0beta4.xsl</target>
+  </doctype>
+<!-- beta6 modules -->
+  <doctype publicid="-//ecoinformatics.org//eml-access-2.0.0beta6//EN">
+    <target publicid="-//W3C//HTML//EN">@systemidserver@@style-common-path@/eml-2.0.0beta6/eml-access-2.0.0beta6.xsl</target>
+  </doctype>
+  <doctype publicid="-//ecoinformatics.org//eml-attribute-2.0.0beta6//EN">
+    <target publicid="-//W3C//HTML//EN">@systemidserver@@style-common-path@/eml-2.0.0beta6/eml-attribute-2.0.0beta6.xsl</target>
+  </doctype>
+  <doctype publicid="-//ecoinformatics.org//eml-constraint-2.0.0beta6//EN">
+    <target publicid="-//W3C//HTML//EN">@systemidserver@@style-common-path@/eml-2.0.0beta6/eml-constraint-2.0.0beta6.xsl</target>
+  </doctype>
+  <doctype publicid="-//ecoinformatics.org//eml-coverage-2.0.0beta6//EN">
+    <target publicid="-//W3C//HTML//EN">@systemidserver@@style-common-path@/eml-2.0.0beta6/eml-coverage-2.0.0beta6.xsl</target>
+  </doctype>
+  <doctype publicid="-//ecoinformatics.org//eml-dataset-2.0.0beta6//EN">
+    <target publicid="-//W3C//HTML//EN">@systemidserver@@style-common-path@/eml-2.0.0beta6/eml-dataset-2.0.0beta6.xsl</target>
+  </doctype>
+  <doctype publicid="-//ecoinformatics.org//eml-entity-2.0.0beta6//EN">
+    <target publicid="-//W3C//HTML//EN">@systemidserver@@style-common-path@/eml-2.0.0beta6/eml-entity-2.0.0beta6.xsl</target>
+  </doctype>
+  <doctype publicid="-//ecoinformatics.org//eml-literature-2.0.0beta6//EN">
+    <target publicid="-//W3C//HTML//EN">@systemidserver@@style-common-path@/eml-2.0.0beta6/eml-literature-2.0.0beta6.xsl</target>
+  </doctype>
+  <doctype publicid="-//ecoinformatics.org//eml-physical-2.0.0beta6//EN">
+    <target publicid="-//W3C//HTML//EN">@systemidserver@@style-common-path@/eml-2.0.0beta6/eml-physical-2.0.0beta6.xsl</target>
+  </doctype>
+  <doctype publicid="-//ecoinformatics.org//eml-project-2.0.0beta6//EN">
+    <target publicid="-//W3C//HTML//EN">@systemidserver@@style-common-path@/eml-2.0.0beta6/eml-project-2.0.0beta6.xsl</target>
+  </doctype>
+  <doctype publicid="-//ecoinformatics.org//eml-protocol-2.0.0beta6//EN">
+    <target publicid="-//W3C//HTML//EN">@systemidserver@@style-common-path@/eml-2.0.0beta6/eml-protocol-2.0.0beta6.xsl</target>
+  </doctype>
+  <doctype publicid="-//ecoinformatics.org//eml-software-2.0.0beta6//EN">
+    <target publicid="-//W3C//HTML//EN">@systemidserver@@style-common-path@/eml-2.0.0beta6/eml-software-2.0.0beta6.xsl</target>
+  </doctype>
+
+  <!-- NBII/FGDC styles -->
+  <doctype publicid="metadata">
+    <target publicid="-//W3C//HTML//EN">@systemidserver@@style-common-path@/fgdc/nbii-metacat.xsl</target>
+  </doctype>
+</style-set>

Property changes on: lib/style/skins/kepler/kepler.xml
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property
Index: lib/style/skins/kepler/kepler-logo.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: lib/style/skins/kepler/kepler-logo.png
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Added: svn:mime-type
## -0,0 +1 ##
+application/octet-stream
\ No newline at end of property
Index: lib/style/skins/kepler/kepler.css
===================================================================
--- lib/style/skins/kepler/kepler.css	(nonexistent)
+++ lib/style/skins/kepler/kepler.css	(revision 2950)
@@ -0,0 +1,407 @@
+ /*
+  *   '$RCSfile$'
+  *     Purpose: Default style sheet for KNB project web pages 
+  *              Using this stylesheet rather than placing styles directly in 
+  *              the KNB web documents allows us to globally change the 
+  *              formatting styles of the entire site in one easy place.
+  *   Copyright: 2000 Regents of the University of California and the
+  *               National Center for Ecological Analysis and Synthesis
+  *     Authors: Matt Jones
+  *
+  *    '$Author$'
+  *      '$Date$'
+  *  '$Revision$'
+  *
+  * This program is free software; you can redistribute it and/or modify
+  * it under the terms of the GNU General Public License as published by
+  * the Free Software Foundation; either version 2 of the License, or
+  * (at your option) any later version.
+  *
+  * This program is distributed in the hope that it will be useful,
+  * but WITHOUT ANY WARRANTY; without even the implied warranty of
+  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+  * GNU General Public License for more details.
+  *
+  * You should have received a copy of the GNU General Public License
+  * along with this program; if not, write to the Free Software
+  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+  */
+
+
+
+/*
+ *  import eml css:
+ */
+
+@import url(/knp/style/common/eml_xsl.css);
+b {
+font-weight: bold;
+}
+
+/**
+ *  set the correct iframe sizes to accomodate the 
+ *  header, footer, left and right areas.
+ *  NOTE: these styles apply only to each 
+ *  container frame, *NOT* to the document within it!
+ */  
+.iframeheaderclass {
+  height:   155px; 
+  width:    98%;
+  border:   0px;
+  margin:   0px;
+  margin-left: 10px;
+}
+
+.iframesearchboxclass { /* not used */ }
+.iframeleftcolclass  { /* not used */ }
+.iframerightcolclass { 
+    position: fixed;
+    right: 0px;
+    top: 0px;
+    width: 35px;
+    height: 50em;
+    border: 0px solid #525d76;
+	background: transparent;
+}
+
+.iframefooterclass   { /* not used */ }
+#mapTable { 
+}
+
+/**
+ *  create a left margin for the document
+ */
+
+body { margin-left: 70px; }
+
+/**
+ *  set the size and alignment etc of the top-level layout table
+ */  
+.templatetableclass {
+  width:   100%; 
+  border:   0px;
+  padding:  0px;
+  margin:   0px;
+}
+
+
+/**
+ *  set the style of the main content area and its contents
+ */ 
+.templatecontentareaclass {
+  border:   0px;
+  padding:  0px;
+  margin:   0px;
+}
+
+
+/**
+ *  set the correct <td> sizes to accomodate the 
+ *  header, footer, left and right iframes.
+ *  NOTE: these styles apply only to each 
+ *  container frame, *NOT* to the document in
+ *  the iframe within it!
+ */  
+.templateheaderrowclass {
+  height:   155px; 
+/*
+  no width allowed - uses same width as table class
+*/
+  border:   0px;
+  padding:  0px;
+  margin:   0px;
+}
+
+
+.templateleftcolclass {
+  height:   100%; 
+  width:    0px;
+  border:   0px;
+  padding:  0px;
+  margin:   0px;
+}
+
+
+.templaterightcolclass {
+  height:   100%; 
+  width:    0px;
+  border:   0px;
+  padding:  0px;
+  margin:   0px;
+}
+
+
+.templatefooterrowclass {
+  height:   0px; 
+/*
+  no width allowed - uses same width as table class
+*/
+  border:   0px;
+  padding:  0px;
+  margin:   0px;
+}
+
+
+/**
+ *  these override styles imported from eml css 
+ */
+
+
+	 
+.sectionnames{
+    font-weight: bold;
+    font-size: 16px;
+    color: #096B79;
+}
+
+.linkedHeaderStyle{
+    
+    background-color: #A3DADA;
+    padding-left: 16%;
+ }
+
+.title {
+    font-family: Georgia, Times New Roman, Times, serif;
+    color:      black;
+    background: white;
+    font-size: 24px; 
+    font-weight: bold;
+}
+
+.secondCol{
+    background-color: #ffffff; 
+    font-size: 12px;
+    padding-left: 5px;
+}
+
+.highlight  {
+    color: #096B79;
+    background-color: #FFFFFF;
+    font-style: italic;    
+    font-size: 1em; 
+    padding-left: 10px;
+}
+
+.citation  {
+    color: black;
+    background-color: #FFFFFF;
+    font-size: 1.2em; 
+    padding-left: 10px;
+}
+
+.tablehead {
+    color: #096B79;
+    background: #FFFFFF;
+    text-align: left;
+    font-size: 14px; 
+    font-weight: bold;
+    border-top: solid #ffffff 15px;
+    border-bottom: solid #dddddd 1px;
+    padding-left: 10px;
+    padding-top: 0px;
+    padding-bottom: 0px;
+}
+
+th.tablehead {
+
+    text-align: center;
+    border-bottom: solid #006666 1px;
+    margin: 0px;
+    padding: 0px;
+    height:  21px;
+}
+
+.tablehead_lcorner {
+    background-position: right top;
+    background-repeat: no-repeat;
+    padding: 0px;
+    margin:  0px;
+    width:   10px;
+    height:  21px;
+}    
+    
+.tablehead_rcorner {
+    background-position: left top;
+    background-repeat: no-repeat;
+    padding: 0px;
+    margin:  0px;
+    width:   10px;
+    height:  21px;
+}    
+
+.lsid {
+    text-decoration: underline; 
+}
+
+a {
+    color: #096B79;
+    font-weight: bold;
+    font-size: 12px; 
+    text-decoration: underline; }
+    
+a:hover {
+    color: #ECCE00;
+    text-decoration: underline; }
+
+/**
+ *  these are used only in the metacat pages
+ */
+
+p.emphasis {
+
+  font-size: 18px;
+  color: #dd7744; 
+  font-weight: bold;
+  font-style:  normal;
+}
+
+.searchresultsdivider {
+    background-color: #dddddd;   
+}
+
+/**
+ *  these are used only in the registry skins
+ */
+
+ 
+ 
+ 
+p.searchbox {
+    color: #096B79;
+    font-weight: bold;
+    font-size: 12px; 
+    text-decoration: none; 
+}
+
+br {
+    margin: 0px;
+    padding: 0px;
+}
+
+
+.headertopmargin {
+margin-top:    10;
+}
+
+.intro {
+        width:   760px;
+        margin-left:    15px;
+}
+
+textarea {
+   width: 80%;
+}
+
+.required {
+    font-weight: bold;
+    color: #b00000;
+}
+
+.label {
+    font-weight: bold;
+}
+
+
+.emphasis {
+    font-weight: bold;
+    font-size: 18px;
+    color: #000000;
+}
+
+.colorbold {
+	font-weight: bold;
+	color: #096B79;
+	font-size: 12px;
+}
+	
+.boldlink {
+	font-weight: bold;
+	font-size: 12px;
+}
+
+
+.redbold {
+	font-weight: bold;
+	color: #b00000;
+	font-size: 12px;
+}
+
+.greenbold {
+	font-weight: bold;
+	color: #096B79;
+	font-size: 12px;
+}
+
+.smalltext {
+	font-weight: bold;
+	font-size: 10px;
+	vertical-align: super;
+}
+
+.largetext {
+	font-weight: bold;
+	font-size: 16px;
+} 
+
+.italicized {
+	font-style: italic;
+	font-size: 12px;
+}
+
+.regtext {
+	font-weight: normal;
+	font-size: 12px;
+}
+.sectbody {
+	background: #DEF1F1;
+	font-size: 12px;
+        font-weight: bold;}
+
+.sectheader {
+	background: #A3DADA;
+	font-size: 12px;
+        font-weight: bold;}
+
+.tables {
+        width:   760px;
+        margin-left:      20px;
+        border-top: solid black 1px;
+        border-left: solid black 1px;
+        border-right: solid black 1px;      
+      }
+
+.hide {
+      display:none;
+  }
+
+.showLink {
+      cursor: pointer;
+      cursor: hand;
+      display:empty;
+  }
+
+.bordertop {
+        border-top: solid black 1px;
+      }
+      
+.borderbottom {
+        border-bottom: 1px solid black;}
+	
+.topbottom {
+	border-top: 1px solid black;
+	border-bottom: 1px solid black; 
+	}
+
+.longwidth {
+	width: 80%;
+	}
+
+.shortwidth {
+	width: 40%;
+	}
+	
+.rightCol {
+       width:  24%;
+       text-align: right;
+    }
+

Property changes on: lib/style/skins/kepler/kepler.css
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property
Index: lib/style/skins/kepler/index.html
===================================================================
--- lib/style/skins/kepler/index.html	(nonexistent)
+++ lib/style/skins/kepler/index.html	(revision 2950)
@@ -0,0 +1,150 @@
+<!--
+  *  '$RCSfile$'
+  *      Authors: Matt Jones
+  *    Copyright: 2000 Regents of the University of California and the
+  *               National Center for Ecological Analysis and Synthesis
+  *  For Details: http://www.nceas.ucsb.edu/
+  *
+  *   '$Author$'
+  *     '$Date$'
+  * '$Revision$'
+  * 
+  * This is an HTML document for displaying metadata catalog tools
+  *
+  * This program is free software; you can redistribute it and/or modify
+  * it under the terms of the GNU General Public License as published by
+  * the Free Software Foundation; either version 2 of the License, or
+  * (at your option) any later version.
+  *
+  * This program is distributed in the hope that it will be useful,
+  * but WITHOUT ANY WARRANTY; without even the implied warranty of
+  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+  * GNU General Public License for more details.
+  *
+  * You should have received a copy of the GNU General Public License
+  * along with this program; if not, write to the Free Software
+  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+-->
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html>
+<head>
+<title>Kepler Analytical Repository</title>
+<link rel="stylesheet" href="@html-path@/style/default.css" type="text/css">
+  <link rel="stylesheet" type="text/css" 
+        href="@systemidserver@@style-skins-path@/kepler/kepler.css"></link>
+  <script language="JavaScript" type="text/JavaScript"
+          src="@systemidserver@@style-skins-path@/kepler/kepler.js"></script>
+  <script language="JavaScript" type="text/JavaScript"
+          src="@systemidserver@@style-common-path@/branding.js"></script>
+</head>
+<body>
+      <script language="JavaScript">
+          insertTemplateOpening();
+          insertSearchBox();
+      </script>
+<table width="760" border="0" cellspacing="0" cellpadding="0">
+  <tr><td colspan="5">
+<p>
+Welcome to the Kepler Analytical Repository.  This repository hosts Kepler
+analytical components (actors) on the Ecogrid.  You can search for actors,
+then download and import them into Kepler.  Eventually, you will be able
+to search this repository directly from Kepler.
+</p>
+<p>&nbsp;</p>
+<p><b>Repository Tools</b></p>
+<p>
+<menu>
+<li><span class="searchbox">Search for Data</span><br />
+    <menu>
+<form method="POST" action="@servlet-path@" target="_top">
+  <input value="INTERSECT" name="operator" type="hidden">   
+  <input size="14" name="anyfield" type="text" value="">
+  <input name="action" value="query" type="hidden">
+  <input name="qformat" value="kepler" type="hidden">
+  <input name="enableediting" value="false" type="hidden">
+  <input name="operator" value="UNION" type="hidden">
+  <input name="returnfield" value="entity/@name" type="hidden">
+  <input name="returndoctype" value="entity" type="hidden">
+  <input value="Search" type="submit">
+</form>
+      The repository search system is used to locate analytical components of interest
+      by searching through existing registered components.  
+      Use a '%' symbol as a wildcard in searches
+      (e.g., '%Constant%' would locate any phrase with the word
+      'Constant' embedded within it).
+      </menu>
+  <p>&nbsp;</p>
+  <li><a href="@servlet-path@?action=query&amp;operator=INTERSECT&amp;anyfield=%25&amp;qformat=kepler&amp;enableediting=false&amp;returndoctype=entity&returnfield=entity/@name">Browse existing Kepler analytical components</a><br />
+    <menu>
+    Browse all existing data sets by title.  This operation can slow as the
+    number of entries in the repository grows.
+    </menu>
+  </li>
+  <p>&nbsp;</p>
+  <li>Login
+  <br />
+  <menu>
+  <form name="loginform" method="post" action="@servlet-path@"
+  target="_top" onsubmit="return submitform(this);" id="loginform">
+    <input type="hidden" name="action" value="login"> <input type=
+    "hidden" name="username" value=""> <input type="hidden" name=
+    "qformat" value="kepler"> <input type="hidden" name=
+    "enableediting" value="false">
+
+    <table>
+      <tr valign="middle">
+        <td align="left" valign="middle" class="text_plain">
+        username:</td>
+
+        <td width="173" align="left" class="text_plain" style=
+        "padding-top: 2px; padding-bottom: 2px;"><input name="uid"
+        type="text" style="width: 140px;" value="kepler"></td>
+      </tr>
+
+      <tr valign="middle">
+        <td height="28" align="left" valign="middle" class=
+        "text_plain">organization:</td>
+
+        <td align="left" class="text_plain" style=
+        "padding-top: 2px; padding-bottom: 2px;"><select name=
+        "organization" style="width:140px;">
+          <option value="unaffiliated">unaffiliated</option>
+        </select></td>
+      </tr>
+
+      <tr valign="middle">
+        <td width="85" align="left" valign="middle" class=
+        "text_plain">password:</td>
+
+        <td colspan="2" align="left" class="text_plain" style=
+        "padding-top: 2px; padding-bottom: 2px;">
+          <table width="100%" border="0" cellpadding="0"
+          cellspacing="0">
+            <tr>
+              <td width="150" align="left"><input name="password"
+              type="password" maxlength="50" style="width:140px;"
+              value="kepler"></td>
+
+              <td align="center" class="buttonBG_login">
+              <input type="submit" name="loginAction" value="Login"
+              class="button_login"></td>
+
+              <td align="left">&nbsp;</td>
+            </tr>
+          </table>
+        </td>
+      </tr>
+    </table>
+  </form>
+  </menu>
+  </li>
+</menu>
+</p>
+  </td></tr>
+</table>
+<p>&nbsp;</p>
+<script language="JavaScript">          
+    insertTemplateClosing();
+</script>
+</body>
+</html>

Property changes on: lib/style/skins/kepler/index.html
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property
Index: lib/style/skins/kepler/header.html
===================================================================
--- lib/style/skins/kepler/header.html	(nonexistent)
+++ lib/style/skins/kepler/header.html	(revision 2950)
@@ -0,0 +1,76 @@
+  <!--
+    '$RCSfile$'
+    Copyright: 2003 Regents of the University of California and the
+               National Center for Ecological Analysis and Synthesis
+     '$Author$'
+       '$Date$'
+   '$Revision$'
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2 of the License, or
+   (at your option) any later version.
+
+   This program is distributed in the hope that it will be useful,
+   but WITHOUT ANY WARRANTY; without even the implied warranty of
+   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+   GNU General Public License for more details.
+     
+   You should have received a copy of the GNU General Public License
+   along with this program; if not, write to the Free Software
+   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+  -->
+<!--____________________________max_width____________________________________-->
+
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html>
+<head>
+  <title>Kepler Analytical Repository</title>
+  <link rel="stylesheet" type="text/css" 
+        href="@systemidserver@@style-skins-path@/kepler/kepler.css"></link>
+</head>
+
+<body>
+<table width="760" border="0" cellspacing="0" cellpadding="0">
+  <tr> 
+    <td valign="middle" colspan="4" class="title">Kepler Analytical Component Repository</td>
+    <td rowspan="3" width="20%" valign="top"> 
+      <div align="right"><img src="@systemidserver@@style-skins-path@/kepler/kepler-logo.png"></div>
+    </td>
+  </tr>
+  <tr> 
+    <td class="spacerrow" valign="top" colspan="4">&nbsp;</td>
+  </tr>
+  <tr> 
+    <td valign="top" width="20%"> 
+      <p><a href="http://www.kepler-project.org/" target="_top">Kepler Home</a></p>
+    </td>
+    <td valign="top" width="20%"> 
+      <p><a href="@systemidserver@@style-skins-path@/kepler/index.html" target="_top">Repository Home</a></p>
+    </td>
+<!--
+    <td valign="top" width="20%"> 
+      <p><a href="@cgi-prefix@/register-dataset.cgi?cfg=kepler" target="_top">Register New Dataset</a></p>
+    </td>
+-->
+    <td valign="top" width="20%"> 
+<p class="searchbox">
+Search for Data<br />
+<form method="POST" action="@servlet-path@" target="_top">
+  <input value="INTERSECT" name="operator" type="hidden">   
+  <input size="14" name="anyfield" type="text" value="">
+  <!--<input name="organizationName" value="Kruger National Park" type="hidden">-->
+  <input name="action" value="query" type="hidden">
+  <input name="qformat" value="kepler" type="hidden">
+  <input name="enableediting" value="false" type="hidden">
+  <input name="operator" value="UNION" type="hidden">
+  <input name="returnfield" value="entity/@name" type="hidden">
+  <input name="returndoctype" value="entity" type="hidden">
+  <!-- <input value="Start Search" type="submit"> -->
+</form>
+</p>
+    </td>
+  </tr>
+</table>
+</body>
+</html>

Property changes on: lib/style/skins/kepler/header.html
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property
Index: lib/style/skins/kepler/searchform.html
===================================================================
--- lib/style/skins/kepler/searchform.html	(nonexistent)
+++ lib/style/skins/kepler/searchform.html	(revision 2950)
@@ -0,0 +1,12 @@
+﻿<form method="POST" action="@servlet-path@" target="_top">
+Search for: 
+  <input value="INTERSECT" name="operator" type="hidden">   
+  <input size="14" name="anyfield" type="text" value="">
+  <input name="action" value="query" type="hidden">
+  <input name="qformat" value="knp" type="hidden">
+  <input name="enableediting" value="false" type="hidden">
+  <input name="operator" value="UNION" type="hidden">
+  <input name="returnfield" value="entity/@name" type="hidden">
+  <input name="returndoctype" value="entity" type="hidden">
+  <input value="Start Search" type="submit">
+</form>

Property changes on: lib/style/skins/kepler/searchform.html
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property
Index: lib/style/skins/kepler/kepler.js
===================================================================
--- lib/style/skins/kepler/kepler.js	(nonexistent)
+++ lib/style/skins/kepler/kepler.js	(revision 2950)
@@ -0,0 +1,218 @@
+ /*
+  *   '$RCSfile$'
+  *     Purpose: Default style sheet for KNB project web pages 
+  *              Using this stylesheet rather than placing styles directly in 
+  *              the KNB web documents allows us to globally change the 
+  *              formatting styles of the entire site in one easy place.
+  *   Copyright: 2000 Regents of the University of California and the
+  *               National Center for Ecological Analysis and Synthesis
+  *     Authors: Matt Jones
+  *
+  *    '$Author$'
+  *      '$Date$'
+  *  '$Revision$'
+  *
+  * This program is free software; you can redistribute it and/or modify
+  * it under the terms of the GNU General Public License as published by
+  * the Free Software Foundation; either version 2 of the License, or
+  * (at your option) any later version.
+  *
+  * This program is distributed in the hope that it will be useful,
+  * but WITHOUT ANY WARRANTY; without even the implied warranty of
+  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+  * GNU General Public License for more details.
+  *
+  * You should have received a copy of the GNU General Public License
+  * along with this program; if not, write to the Free Software
+  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+  */
+
+/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
+ * * * * * *  CONFIGURATION SETTINGS - EDIT THESE FOR YOUR ENVIRONMENT * * * * 
+ * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
+
+ 
+//  These settings allow you to include and display common content (eg a common 
+//  header) on all your pages, in much the same way as a frameset allows you to 
+//  do, but through the use of iframes and a table instead. You can include up 
+//  to 4 external pages, each one within the header, footer, left or right areas
+//
+//  looks like this (if you're using a fixed width font to display these notes):
+//    ___________________
+//    |     header      |
+//    |-----------------|
+//    | |             | |
+//    | |             | |
+//    |L|   content   |R|
+//    | |             | |
+//    | |             | |
+//    |-----------------|
+//    |     footer      | 
+//    -------------------
+//
+//  Each area may display another page on the local site, or a page on a 
+//  different server, or may be set to display nothing (in which case an iframe 
+//  will not be drawn, although the containing table cell will still need to be 
+//  resized using the css style - see below) 
+//
+//  NOTES:
+//
+//  1) if you have any links in the included documents, the target attribute for 
+//     these *MUST* be set to _top, otherwise the new document will be displayed 
+//     inside the small iframe areas, instead of replacing the entire page!
+//     - example: <a href="index.html" target="_top">HOME</a>
+//   
+//  2) you will need to set the correct iframe size, in order to accomodate 
+//     each of these areas on the page. The default location for these size 
+//     settings is in the default.css file - see the "IFRAME_XXXXXX_CLASS" 
+//     variables (below) for the name of the style to edit
+//
+//  3) you will also need to set the correct table cell sizes and/or overall 
+//     table size for similar reasons. The default location for these size 
+//     settings is in the default.css file - see the "TEMPLATE_XXXXXX_CLASS" 
+//     variables (below) for the name of the style to edit
+
+
+
+////////////////////////////////////////////////////////////////////////////////
+//  Edit these variables to define the content that will be loaded into the 
+//  various iframes. Each may be a relative path to another page on the local 
+//  site, or a full URL to a page on a remote server, or may be set to the empty 
+//  string if no content is required at that position on the page (and in which  
+//  case an iframe will not be drawn, although an empty table cell will still  
+//  exist unless it is resized smaller) . 
+//  ( e.g. if you do not want a header to be included, set: HEADER_URL="";)
+////////////////////////////////////////////////////////////////////////////////
+
+
+//  Location of the header that will be displayed at the top of the page
+var HEADER_URL 
+  = "@systemidserver@/@context@@style-skins-relpath@/kepler/header.html";
+
+// Location of the search box that will be displayed above the  
+//  results on the results page (optional)
+var SEARCHBOX_URL 
+  = "";
+  //= "@systemidserver@/@context@@style-skins-relpath@/kepler/searchform.html";
+
+//  Location of the header that will be displayed at the top of the page
+var LEFTCOL_URL 
+  = "";
+  
+//  Location of the header that will be displayed at the top of the page
+var RIGHTCOL_URL 
+  = "";
+  
+//  Location of the header that will be displayed at the top of the page
+var FOOTER_URL 
+  = "";
+  
+
+
+
+/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
+/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
+/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
+/* * * * * * * * *  MAY CHANGE THE FOLLOWING, BUT SHOULDN'T NEED TO* * * * * */ 
+/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
+/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
+/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
+
+  
+////////////////////////////////////////////////////////////////////////////////
+//  Edit the default.css file to set the correct iframe sizes to accomodate the 
+//  header, footer, left and right areas.
+//  The following variables set the names of the styles that will be applied to 
+//  each of the iframes - they can be anythign you wish, provided you use the 
+//  same names for your classes in the css file
+//  NOTE: these styles apply only to each container frame, *NOT* to the document 
+//  within it!
+////////////////////////////////////////////////////////////////////////////////
+
+//header iframe class
+var IFRAME_HEADER_CLASS         = "iframeheaderclass";
+
+//(metacat only) search box iframe class
+var IFRAME_SEARCHBOX_CLASS      = "iframesearchboxclass";
+
+//left column iframe class
+var IFRAME_LEFTCOL_CLASS        = "iframeleftcolclass";
+
+//right column iframe class
+var IFRAME_RIGHTCOL_CLASS       = "iframerightcolclass";
+
+//footer iframe class
+var IFRAME_FOOTER_CLASS         = "iframefooterclass";
+
+
+////////////////////////////////////////////////////////////////////////////////
+//  Edit the default.css file to set the correct table sizes to accomodate the 
+//  header, footer, left and right iframes.
+//  The following variables set the names of the styles that will be applied to 
+//  each of the table cells (or the table itself - see below) - they can be 
+//  anything you wish, provided you use the same names for your classes in the 
+//  css file
+//  NOTE: these styles apply only to each table cell, *NOT* to the document 
+//  inside the iframe that is nested within it! (the exception is 
+//  TEMPLATE_CONTENTAREA_CLASS, since the content probably isn't within an 
+//  iframe - so style elements in this class will apply to the content istelf)
+////////////////////////////////////////////////////////////////////////////////
+
+//entire table class
+var TEMPLATE_TABLE_CLASS        = "templatetableclass";
+
+//header table-cell class. Note you should not set css "width" on this, since it 
+//includes a colspan
+var TEMPLATE_HEADERROW_CLASS    = "templateheaderrowclass";
+
+//left column table-cell class. Note that restricting css "height" on this may 
+//affect visibility of the main content, since it's in the same table row 
+var TEMPLATE_LEFTCOL_CLASS      = "templateleftcolclass";
+
+//main central content table-cell class. Note that css attributes set here may 
+//apply to the content nested inside this cell
+var TEMPLATE_CONTENTAREA_CLASS  = "templatecontentareaclass";
+
+//rigth column table-cell class. Note that restricting css "height" on this may 
+//affect visibility of the main content, since it's in the same table row 
+var TEMPLATE_RIGHTCOL_CLASS     = "templaterightcolclass";
+
+//footer table-cell class. Note you should not set "width" on this, since it 
+//includes a colspan
+var TEMPLATE_FOOTERROW_CLASS    = "templatefooterrowclass";
+
+//
+// Skin specific functions
+function submitform(formObj) {
+
+  if (trim(formObj.elements["loginAction"].value)!="Login") return true;
+  //trim username & passwd:
+  var username = trim(formObj.elements["uid"].value);
+  var organization  = trim(formObj.elements["organization"].value);
+  var password      = trim(formObj.elements["password"].value);
+
+  if (username=="") {
+    alert("You must type a username. \n"+popupMsg);
+        formObj.elements["uid"].focus();
+    return false;
+  }
+
+  if (organization=="") {
+    alert("You must select an organization. \n"+popupMsg);
+        formObj.elements["organization"].focus();
+    return false;
+  }
+
+  if (password=="") {
+    alert("You must type a password. \n"+popupMsg);
+        formObj.elements["password"].focus();
+    return false;
+  }
+
+  formObj.username.value="uid="+formObj.elements["uid"].value+",o="+formObj.elements["organization"].value+",dc=ecoinformatics,dc=org";
+  return true;
+}
+
+function trim(stringToTrim) {
+  return stringToTrim.replace(/^\s*/, '').replace(/\s*$/,'');
+}

Property changes on: lib/style/skins/kepler/kepler.js
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property
